## libappimage 0.1.9+dfsg

=== debian/changelog ===
libappimage (0.1.9+dfsg-1) unstable; urgency=medium

  * Add a better description. (Closes: #921072)
  * New upstream releaase.
  * Refresh symbols file.
  * Add --as-needed linker to avoid useless dependencies.
  * Add upstream patch to rid of build-path in binary, thus
    getting rid of lintian error.
  * Release to unstable.

 -- Scarlett Moore <sgmoore@kde.org>  Sun, 10 Feb 2019 06:08:27 -0700

libappimage (0.1.8+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #912287)

 -- Scarlett Moore <sgmoore@kde.org>  Fri, 11 Jan 2019 10:28:31 -0700
