## libappimage 0.1.10+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.2)
+cmake_minimum_required(VERSION 3.4)
 
 project(libappimage)
 
@@ -7,10 +7,12 @@
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR}/cmake)
 
+include(cmake/reproducible_builds.cmake)
+
 # versioning
 set(V_MAJOR 0)
 set(V_MINOR 1)
-set(V_PATCH 9)
+set(V_PATCH 10)
 
 include(cmake/tools.cmake)
 include(cmake/dependencies.cmake)
