=== debian/changelog ===
libappimage (0.1.10+dfsg-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 12 Jan 2022 09:33:31 -0500

libappimage (0.1.10+dfsg-0ubuntu1) groovy; urgency=medium

  * New upstream release (0.1.10)
  * Drop 0001-Make-release-builds-reproducible-mk.-1.patch, now included
    in the source.
  * Update symbols from build logs.
  * Add libcairo2-dev to -dev package depends.

 -- Rik Mills <rikmills@kde.org>  Thu, 25 Jun 2020 13:45:09 +0100
