=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: libappimage
 Priority: optional
-Maintainer: Scarlett Moore <sgmoore@kde.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Scarlett Moore <sgmoore@kde.org>
 Build-Depends: cmake,
                debhelper (>= 12),
                desktop-file-utils,
