## libappimage 1.0.3

=== debian/changelog ===
libappimage (1.0.3-1+20201123+2101+amd64+build24) 2101+amd64; urgency=medium

  [ Harald Sitter ]
  * New upstream release.

  [ Scarlett Moore ]
  * Update dependencies as per cmake and configure cmake flags to use
   system libraries.
  * Remove reproducible builds patch applied upstream.
  * Merge KDE Neon Packaging. Thanks!
  * Switch to debhelper-compat.
  * Update repo, moved to 3rdparty under kde umbrella.
  * Update symbols file.
    - Add symbolshelper-confirmed header to symbols file.
    - Rename file to new 1.0 SO version.
    - Update name in symbols file.
    - update new symbols / remove missing ( new SO version ).
  * Add rules-requires-root: no in d/control.
  * Update d/upstream/metadata.
    - Remove obsolete entries already defined in d/copyright.
    - Add bug-database entry.
  * Remove Priority extras ( lintian ).
  * Remove --as-needed flag as it is now default.
  * Bump Standards to 4.5.1; no changes.
  * Change to team maintainer.
  * Add googletest test dependency.
  * Add override to dh_clean to clean up test data.
  * Refresh copyright.
    - Add upstream-contact field.
    - Update file.
  * Using the library fails without runtime depend to xdg-utils-cxx.

  [ Debian CI ]
  * Automatic CI Build

 -- Debian CI <null@debian.org>  Fri, 12 Feb 2021 18:14:50 +0000

libappimage (1.0.2-0neon) focal; urgency=medium

  * New release

 -- Jonathan Riddell <jr@jriddell.org>  Wed, 24 Jul 2019 12:21:34 +0100
