=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -- -DUSE_SYSTEM_XZ=ON -DUSE_SYSTEM_LIBARCHIVE=ON \
	-DUSE_SYSTEM_SQUASHFUSE=ON -DUSE_SYSTEM_BOOST=ON -DUSE_SYSTEM_XDGUTILS=ON \
	-DBUILD_TESTING=OFF -DCMAKE_BUILD_TYPE=Release

override_dh_missing:
	 dh_missing --fail-missing

override_dh_clean:
	 rm -rf $(CURDIR)/tests/data
	 dh_clean
