## libappimage 1.0.4-5

=== debian/changelog ===
libappimage (1.0.4-5-6) unstable; urgency=medium

  * Team upload.
  * Update symbols file from the logs of buildds; mark more private symbols as
    optional.

 -- Pino Toscano <pino@debian.org>  Fri, 26 Sep 2025 06:10:37 +0200

libappimage (1.0.4-5-5) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.7.2, no changes required.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Backport upstream commit e5f6ea562611d534dc8e899a12ddf15c50e820be to require
    CMake 3.6; patch upstream_Bump-minimum-CMake-version-to-3.6.patch.
    (Closes: #1113112)
  * CI: simplify/update configuration.
  * Update symbols file from the logs of buildds; drop bits for discontinued
    ia64, and mipsel architectures.
  * Drop no more needed lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sat, 20 Sep 2025 11:49:35 +0200

libappimage (1.0.4-5-4) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Update symbols from build for 1.0.4-5. (Closes: #1075143)
  * Switch build dependency from transitional pkg-config to pkgconf.
  * Bump Standards-Version to 4.7.0, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 01 Aug 2024 01:21:24 +0200

libappimage (1.0.4-5-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063122

 -- Benjamin Drung <bdrung@debian.org>  Fri, 01 Mar 2024 12:18:58 +0000

libappimage (1.0.4-5-3) unstable; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds.
  * Mark the internal boost-related symbols as optional, as they can change
    depending on the boost version.

 -- Pino Toscano <pino@debian.org>  Tue, 19 Dec 2023 18:16:16 +0100

libappimage (1.0.4-5-2) unstable; urgency=medium

  * Team upload.
  * Switch the transitional xdg-utils-cxx build dependency to xdg-utils-cxx-dev.
  * Backport upstream commit 1e0515b23b90588ce406669134feca56ddcbbe43 to fix
    the build with GCC 13; patch upstream_Fix-build-with-gcc-13.1.1.patch.
    (Closes: #1037716)
  * Update symbols file.

 -- Pino Toscano <pino@debian.org>  Fri, 14 Jul 2023 08:02:51 +0200

libappimage (1.0.4-5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Fix & simplify the watch file, using the newer template provided by
    uscan(1); drop almost all the options, no more needed now.
  * Update the patches:
    - disable_wget_dependency.patch: drop, no more needed
    - enable_debianabimanager.diff: refresh
  * Update the build dependencies according to the upstream build system:
    - drop desktop-file-utils, libboost-thread-dev, libboost-system-dev, and
      xxd, no more needed

 -- Pino Toscano <pino@debian.org>  Mon, 02 Jan 2023 08:20:13 +0100

libappimage (1.0.4-4) unstable; urgency=medium

  * Team upload.
  * Drop patch update_cmake_to_look_for_dependency_targets.patch: in addition
    to a typo that makes libappimageConfig.cmake an invalid cmake script,
    the XdgUtils libraries are not actually exposed as public dependencies.
  * Update the dependencies of libappimage-dev to reflect what is actually
    searched by the cmake scripts:
    - drop xdg-utils-cxx
    - explicitly add libglib2.0-dev, and zlib1g-dev
  * Hack my previous hack in the patch enable_debianabimanager.diff to make sure
    that CMAKE_BUILD_TYPE is set at the of the top-level CMakeLists.txt as it
    was passed to cmake; this fixes the generation of the cmake configuration
    files for the exported targets.

 -- Pino Toscano <pino@debian.org>  Wed, 28 Dec 2022 08:59:18 +0100

libappimage (1.0.4-3) unstable; urgency=medium

  * Team upload.
  * Drop the transitional libappimage0 binary: it is empty, it does not depend
    on anything, and it cannot pull the actual library as it has a different
    ABI.
  * Drop the 'testsuite' autopkgtest: it does not test the installed package,
    and it actually does nothing since the tests are disabled during the build
    (-DBUILD_TESTING=OFF is passed to cmake).
  * Update lintian override info format in d/source/lintian-overrides on line 2,
    6.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.
  * Update the other metadata fields to the actual upstream location.
  * Replace patch upstream_fix_typos.patch with the upstream commit
    e456429dafaee3245f6e7925b64d5990ad5affe7; patch
    upstream_Fix-typos-Unsuported-Unsupported-180.patch.
  * Make sure DebianABIManager is actually applied:
    - rename the X-Debian-Abi field to X-Debian-ABI, as used by DebianABIManager
    - add X-CMake-Target: libappimage to specify the actual target to handle
    - extend the patch enable_debianabimanager.diff with some manual gymnastics:
      DebianABIManager works only with a "Debian" CMAKE_BUILD_TYPE, so
      - to set it like that before including DebianABIManager (it's the very
        last bit in the top-level CMakeLists.txt, so it is fine)
      - append the link flags (which include the linker script) specified for
        the "Debian" build type to the link flags in use
    - in the symbols file:
      - switch the actual file name to libappimage.so.1.0abi1
      - switch the version of all the symbols from "Base" (i.e. none) to
        ABI_1.0_1
      - add the ABI tag symbol
    - drop the libappimage0 breaks/replaces, since the library names do not
      conflict with non-ABI ones
  * Improve the install files to be more precise.
  * Drop the libgtest-dev build dependency, as it is not needed (the tests are
    not built).

 -- Pino Toscano <pino@debian.org>  Tue, 27 Dec 2022 14:45:27 +0100

libappimage (1.0.4-2) unstable; urgency=medium

  * Update symbols file from buildd logs.

 -- Scarlett Moore <sgmoore@debian.org>  Tue, 27 Dec 2022 03:42:15 -0700

libappimage (1.0.4-1) unstable; urgency=medium

  [ Harald Sitter ]
  * New upstream release.

  [ Scarlett Moore ]

