=== debian/control ===
--- 
+++ 
@@ -1,41 +1,36 @@
 Source: libappimage
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Scarlett Moore <sgmoore@kde.org>
-Build-Depends: cmake,
-               debhelper-compat (= 12),
-               desktop-file-utils,
+Uploaders: Scarlett Moore <sgmoore@debian.org>
+Build-Depends: dpkg-dev (>= 1.22.5), cmake,
+               debhelper-compat (= 13),
                libarchive-dev,
-               libboost-filesystem-dev,
-               libboost-system-dev,
-               libboost-thread-dev,
                libcairo2-dev,
                libglib2.0-dev,
-               libgtest-dev,
                liblzma-dev,
+               libboost-filesystem-dev,
                librsvg2-dev,
                libsquashfuse-dev,
-               pkg-config,
+               pkgconf,
                pkg-kde-tools,
                xdg-utils-cxx-dev,
-               xxd,
-               zlib1g-dev
-Standards-Version: 4.5.1
+               zlib1g-dev,
+Standards-Version: 4.7.2
 Section: libs
-Homepage: https://github.com/AppImage/libappimage
-Rules-Requires-Root: no
-Vcs-Git: https://github.com/dci-extras-packaging/libappimage
-Vcs-Browser: https://github.com/dci-extras-packaging/libappimage
+Homepage: https://github.com/AppImageCommunity/libappimage
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/3rdparty/libappimage
+Vcs-Git: https://salsa.debian.org/qt-kde-team/3rdparty/libappimage.git
 
 Package: libappimage-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libappimage1.0 (= ${binary:Version}),
+Depends: libappimage1.0abi1t64 (= ${binary:Version}),
          libcairo2-dev,
+         libglib2.0-dev,
          librsvg2-dev,
-         ${misc:Depends},
-         ${shlibs:Depends}
+         zlib1g-dev,
+         ${misc:Depends}
 Description: Development files for libappimage
  Core library of the AppImage project. Reference implementation
  of the AppImage specification. https://appimage.org
@@ -54,12 +49,15 @@
  .
  This package contains the development files for libappimage.
 
-Package: libappimage1.0
+Package: libappimage1.0abi1t64
+Provides: ${t64:Provides}
+Replaces: libappimage1.0abi1
+Breaks: libappimage1.0abi1 (<< ${source:Version})
+X-Debian-ABI: 1
+X-CMake-Target: libappimage
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libappimage0 (<< 0.1.9+dfsg-1)
-Replaces: libappimage0 (<< 0.1.9+dfsg-1)
 Description: Core library for appimage
  Core library of the AppImage project. Reference implementation
  of the AppImage specification. https://appimage.org
@@ -80,10 +78,3 @@
  and usage of appimages.
  .
  This package contains the library for libappimage.
-
-Package: libappimage0
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Section: oldlibs
-Description: Core library for appimage - transitional
- This is a dummy transitional package which can be removed
